<!doctype style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN">
<style-specification>
;; Tables
(element tbl
    (make display-group
	(process-children-trim))
)

(element tblbdy
 ( make table
  (make sequence
       font-size: 9pt
       line-spacing: 10pt
	(process-children-trim))
))
(element (caption)
 (make paragraph
       space-before: 6pt
       space-after: 10pt
       start-indent: indent-step
       first-line-start-indent: (- indent-step)
       (make sequence
	font-weight: 'bold
       (literal (if (have-ancestor? "FIG") "Figure " "Table "))
       (literal (format-number  
         (if (have-ancestor? "FIG") 
           (element-number (ancestor "FIG") )
             (if (have-ancestor? "TEXTBOX") 
                  (element-number (ancestor "TEXTBOX") ) 
                  (element-number (ancestor "TBL") ) 
          ))
           "1"))
       (literal "."))
       (process-children-trim)))

(element (tblbdy r)  (make table-row (process-children-trim)))

(element (tblbdy r c)
   (make table-cell 	
	n-rows-spanned: (string->number (attribute-string "RSPAN"))
	n-columns-spanned: (string->number (attribute-string "CSPAN"))
        cell-row-alignment: (Halign (attribute-string "CA"))
	cell-before-row-border: 
	 (not (node-list-empty? (select-elements (children (current-node))
           'top-border)))
	cell-after-row-border: 
	 (not (node-list-empty? (select-elements (children (current-node))
           'bottom-border)))
	cell-before-column-border: 
	 (not (node-list-empty? (select-elements (children (current-node))
           'left-border)))
	cell-after-column-border: 
	 (not (node-list-empty? (select-elements (children (current-node))
           'right-border)))
	(process-children-trim)))

(element bottom-border  (empty-sosofo))
(element top-border  (empty-sosofo))
(element left-border  (empty-sosofo))
(element right-border  (empty-sosofo))

(define (Halign str)
  (case str
    (("L") 'start)
    (("R") 'end)
    (("C") 'center)
    (("D") 'start)
    (("J") 'start)
))


</style-specification>